perl-Test-Modern

precision testing for modern perl

Test::Modern provides the best features of the Test::More manpage, the Test::Fatal manpage, the Test::Warnings manpage, the Test::API manpage, the Test::LongString manpage, and the Test::Deep manpage, as well as ideas from the Test::Requires manpage, the Test::DescribeMe manpage, the Test::Moose manpage, and the Test::CleanNamespaces manpage. Test::Modern also automatically imposes the strict manpage and the warnings manpage on your script, and loads the IO::File manpage. (Much of the same stuff the Modern::Perl manpage does.) Although Test::Modern is a modern testing framework, it should run fine on pre-modern versions of Perl. It should be easy to install on Perl 5.8.9 and above; and if you can persuade its dependencies to install (not necessarily easy!), should be OK on anything back to Perl 5.6.1.

Ei virallista pakettia saatavilla: openSUSE Leap 15.3

Jakelut

openSUSE Tumbleweed

openSUSE Leap 15.2

openSUSE Factory RISCV

SUSE SLE-15-SP2

SUSE SLE-15-SP1

Fedora Rawhide (unstable)

Fedora 34

Fedora 33

Fedora 32

Ei-tuetut jakelut

Seuraavia jakeluja ei virallisesti tueta. Käytä näitä paketteja omalla vastuullasi.